﻿/*
 * Copyright (c) 2010-2018 by Daniel Ranft, Wolfgang Hardt, Alexander Strobel
 *   Giegerich & Partner GmbH, Dreieich, Germany
 * Licensed under the MIT License, see LICENSE file for details.
 *
 *
 * Sourcecode: https://www.giepa.de/produkte/gpg4o/gnupgwrapper/
 */

using System;

namespace GupGPGWrapper
{
	public class GnuPGException : Exception
	{
		public GnuPGException(string message) : base(message) { }
	}

	public class GnuPGCommandException : GnuPGException
	{
		public GnuPGCommandException(string message) : base(message) { }
	}

	public class GnuPGDefaultKeyException : GnuPGException
	{
		public GnuPGDefaultKeyException(string message) : base(message) { }
	}

	public class GnuPGPassphraseException : GnuPGException
	{
		public GnuPGPassphraseException(string message) : base(message) { }
	}

	public class GnuPGWrongPassphraseException : GnuPGPassphraseException
	{
		public GnuPGWrongPassphraseException(string message) : base(message) { }
	}

	public class GnuPGMissingPassphraseException : GnuPGPassphraseException
	{
		public GnuPGMissingPassphraseException(string message) : base(message) { }
	}


	public class GnuPGNoSecKeyPassphraseException : GnuPGPassphraseException
	{
		public GnuPGNoSecKeyPassphraseException(string message) : base(message) { }
	}


	public class GnuPGAgentException : GnuPGException
	{
		public GnuPGAgentException(string message) : base(message) { }
	}

	public class GnuPGBlockingException : GnuPGException
	{
		public GnuPGBlockingException(string message) : base(message) { }
	}

}
